Package com.sun.ts.lib.util

# Class SigLogAdapter

java.lang.Object
com.sun.ts.lib.util.SigLogAdapter

All Implemented Interfaces:
  `SigLogIntf`

public class SigLogAdapter extends Object implements SigLogIntf
This class acts as an adapter between the logging API used in the API check utility and the logginf API available in the CTS harness. The API check utility uses a PrintWriter to log messages. The parts of the PrintWriter API used by the API check utility will be translated to TestUtil calls in this class. The SigLogIntf will capture the parts of the PrintWriter API that need to be reimplemented so API check can fit into the CTS test framework.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SigLogAdapter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `flush()`
  `void`
  `print(char c)`
  `void`
  `print(Object obj)`
  `void`
  `print(String msg)`
  `void`
  `println()`
  `void`
  `println(char c)`
  `void`
  `println(Object obj)`
  `void`
  `println(String msg)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SigLogAdapter

    public SigLogAdapter()

- ## Method Details

  - ### println

    public void println(String msg)
    Specified by:
      `println` in interface `SigLogIntf`

  - ### println

    public void println(Object obj)
    Specified by:
      `println` in interface `SigLogIntf`

  - ### println

    public void println(char c)
    Specified by:
      `println` in interface `SigLogIntf`

  - ### println

    public void println()
    Specified by:
      `println` in interface `SigLogIntf`

  - ### print

    public void print(String msg)
    Specified by:
      `print` in interface `SigLogIntf`

  - ### print

    public void print(Object obj)
    Specified by:
      `print` in interface `SigLogIntf`

  - ### print

    public void print(char c)
    Specified by:
      `print` in interface `SigLogIntf`

  - ### flush

    public void flush()
    Specified by:
      `flush` in interface `SigLogIntf`

  - ### close

    public void close()
    Specified by:
      `close` in interface `SigLogIntf`